Bug Hunting Session
Bug 126748 - Intermittent crash exporting a ODS to XLSX
Summary: Intermittent crash exporting a ODS to XLSX
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords:
Depends on:
Blocks: Pivot-Table-XLSX
  Show dependency treegraph
 
Reported: 2019-08-07 12:46 UTC by Mike Kaganski
Modified: 2019-08-09 15:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["ScDPCache::GetDimensionIndex(rtl::OUString const &)"]


Attachments
Attachment from AOO bug number 83250 (10.10 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-08-07 12:46 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-08-07 12:46:56 UTC
Created attachment 153203 [details]
Attachment from AOO bug number 83250

In version 6.3, opening the attachment from https://bz.apache.org/ooo/show_bug.cgi?id=83250 (attached here), and saving it as XLSX, crashes LibreOffice in 50% of cases. Convenient to check using command like

> soffice --convert-to xlsx drill_problems.ods

This is a regression after my https://git.libreoffice.org/core/+/b082998401e37e6c7534906601bc481423a6ded0.

Will submit a patch shortly.
Comment 1 Mike Kaganski 2019-08-07 13:11:56 UTC
https://gerrit.libreoffice.org/77110
Comment 2 Commit Notification 2019-08-07 15:14:42 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f5c27036ad63c8bc3d9b86f2e4e772c01490d883%5E%21

tdf#126748: temporary hack to avoid crash when several pivot tables ...

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-08-08 10:27:49 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 63889d3d465e9b4292dd5bb630bd3394494c8a6d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES-valencia (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike, thanks for fixing this issue!
Comment 4 Commit Notification 2019-08-09 15:31:05 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/5608074fa6cb1ebfbe8de5189bbe8d74606d088a%5E%21

tdf#126748: temporary hack to avoid crash when several pivot tables ...

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.